<template>
  <q-page>
    <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6 q-pa-md q-pr-md row justify-center">
      <q-btn push color="indigo" label="Volver" @click="$router.go(-1)" glossy />
    </div>
    <div class="row">
      <q-item v-for="(image, index) in list_images" :key="image.id" :active="active_img.includes(index)" clickable v-ripple @click="selectImg(image);"
        active-class="my-menu-link">
        <q-img
          :src="image.url"
          spinner-color="white"
          style="height: 120px; width: 120px"
          native-context-menu
        >
          <q-icon class="absolute all-pointer-events" size="25px"  name="cancel" color="white" @click="list_img.splice(index,1)" style="top: 8px; right: 8px"/>
          <q-icon v-if="active_img.includes(index)" class="absolute all-pointer-events" size="25px"  name="done" color="white" style="top: 8px; left: 8px"/>
        </q-img>
      </q-item>
    </div>
  </q-page>
</template>

<script>
import { mapState } from 'vuex'
import { copyToClipboard } from 'quasar'

export default {
  computed: {
    ...mapState('generals', ['list_images'])
  },
  name: 'PageIndex',
  data () {
    return {
      active_img: [],
      search: '',
      page: 1,
      list_img: [],
      selectIMG: []
    }
  },
  methods: {
    selectImg (current, index) {
      copyToClipboard(current.url).then(() => {
        this.$q.notify({
          type: 'positive',
          message: 'Imagen copiada al portapapeles'
        })
      }).catch(() => {
        // fail
      })
    }
  }
}
</script>
<style lang="sass">
.my-menu-link
  color: white
  background: #F2C037
</style>
